import { requestClient } from '#/api/request';
import type { Template } from './model';

enum Api {
  templateAdd = '/page-designer-template',
  templateUpdate = '/page-designer-template',
  templateList = '/page-designer-template/list',
  templateInfo = '/page-designer-template',
  templateRemove = '/page-designer-template',
}

/**
 * 新增页面设计
 */
export function templateAdd(data: any) {
  return requestClient.post(Api.templateAdd, data);
}

/**
 * 修改页面设计
 */
export function templateUpdate(data: any) {
  return requestClient.put(Api.templateUpdate, data);
}

/**
 * 获取页面设计列表
 */
export function templateList(params?: any) {
  return requestClient.get(Api.templateList, { params });
}

/**
 * 获取页面设计详情
 */
export function templateInfo(id: string | number) {
  return requestClient.get(`${Api.templateInfo}/${id}`);
}

/**
 * 删除页面设计
 */
export function templateRemove(ids: string[] | number[]) {
  return requestClient.delete(Api.templateRemove, { data: ids });
} 